commit:     76c4834856ed8b49748d7f2bcc844eb79d41b09e
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Wed Jul 29 12:37:17 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Wed Jul 29 12:44:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=76c48348

net-libs/usockets: update to 0.5.0

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>

 net-libs/usockets/Manifest                      |  1 +
 net-libs/usockets/files/usockets-Makefile.patch | 12 +++---
 net-libs/usockets/usockets-0.5.0.ebuild         | 54 +++++++++++++++++++++++++
 3 files changed, 61 insertions(+), 6 deletions(-)

diff --git a/net-libs/usockets/Manifest b/net-libs/usockets/Manifest
index 26023b0..57d722f 100644
--- a/net-libs/usockets/Manifest
+++ b/net-libs/usockets/Manifest
@@ -1 +1,2 @@
 DIST usockets-0.4.1.tar.gz 49955 BLAKE2B 
581b5745c4b1562fe21ac81736ebc6db95ed9e25a47e3124fa4dbc25978cde9f901a651cbc99128952282407f506900cae79a59bb1aab8d5e951e114d1f8f3b7
 SHA512 
2fbb37e0d3768c4b79b100132edd4aea65c7483186394d9dd5729385031e257ebe7ba04e53cb67f796edbc035074268920a1fdb11be79a74cb83799a7b61f7c0
+DIST usockets-0.5.0.tar.gz 50852 BLAKE2B 
69d36f4bad6e2bf87a8b33a023678b29d2aa2feea86ccd92d02d38e9b336d9b97a0d9709b381d7b2b1a20c86964eaa9fec8d7edaa322288b232ce7c3ea84f056
 SHA512 
ac734c1e6f50b0485456d5b0f06d6aeb5457b2b3cc1fc2c795773a469e0bdf7223256ba252d1f9cbead10948ca47ce8bcdbabc147fc3e6be59d1a051409375bd

diff --git a/net-libs/usockets/files/usockets-Makefile.patch 
b/net-libs/usockets/files/usockets-Makefile.patch
index 5be09ee..5a10570 100644
--- a/net-libs/usockets/files/usockets-Makefile.patch
+++ b/net-libs/usockets/files/usockets-Makefile.patch
@@ -1,8 +1,8 @@
 diff --git a/Makefile b/Makefile
-index fa6e2ff..ca2603f 100644
+index 7d33414..6f3e53a 100644
 --- a/Makefile
 +++ b/Makefile
-@@ -1,3 +1,14 @@
+@@ -1,3 +1,13 @@
 +DESTDIR ?=
 +
 +prefix ?=     "/usr/local"
@@ -13,11 +13,10 @@ index fa6e2ff..ca2603f 100644
 +# OpenBSD specific library version
 +LIBTARGET =   libusockets.so.$(LIBusockets_VERSION)
 +
-+
- # WITH_OPENSSL=1 enables OpenSSL 1.1+ support
+ # WITH_OPENSSL=1 enables OpenSSL 1.1+ support or BoringSSL
  ifeq ($(WITH_OPENSSL),1)
        override CFLAGS += -DLIBUS_USE_OPENSSL
-@@ -33,13 +44,27 @@ ifeq ($(WITH_ASAN),1)
+@@ -33,13 +43,27 @@ ifeq ($(WITH_ASAN),1)
  endif
  
  override CFLAGS += -std=c11 -Isrc
@@ -49,9 +48,10 @@ index fa6e2ff..ca2603f 100644
  
  # Builds all examples
  .PHONY: examples
-@@ -52,4 +77,5 @@ swift_examples:
+@@ -52,4 +76,6 @@ swift_examples:
  clean:
        rm -f *.o
        rm -f *.a
 +      rm -f *.so
        rm -rf .certs
++

diff --git a/net-libs/usockets/usockets-0.5.0.ebuild 
b/net-libs/usockets/usockets-0.5.0.ebuild
new file mode 100644
index 0000000..07f6828
--- /dev/null
+++ b/net-libs/usockets/usockets-0.5.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2019-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib
+
+DESCRIPTION="tiny eventing, networking & crypto for async applications"
+HOMEPAGE="https://github.com/uNetworking/uSockets";
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/uNetworking/uSockets.git";
+else
+       SRC_URI="https://github.com/uNetworking/uSockets/archive/v${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm64 ~x86"
+       S="${WORKDIR}/uSockets-${PV}"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="libuv +ssl libressl static-libs"
+
+DEPEND="ssl? (
+               libressl? ( >=dev-libs/libressl-3.0.0:=[static-libs?] )
+               !libressl? ( >=dev-libs/openssl-1.1.0:=[static-libs?] )
+       )
+       libuv? ( dev-libs/libuv[static-libs?] )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}/usockets-Makefile.patch"
+)
+
+src_compile() {
+       # the Makefile uses environment variables
+       emake LIBusockets_VERSION=${PV} \
+             WITH_OPENSSL=$(usex ssl 1 0) \
+             WITH_LIBUV=$(usex libuv 1 0) \
+             default
+}
+
+src_install() {
+       emake libdir="/usr/$(get_libdir)" \
+             prefix="/usr" \
+                 DESTDIR="${D}" \
+             LIBusockets_VERSION=${PV} \
+             install
+       einstalldocs
+       if ! use static-libs; then
+               rm "${D}/usr/$(get_libdir)/libusockets.a" || die
+       fi
+}

Reply via email to